View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17141Bug reportsTheme editorpublic2021-11-26 15:16
ReporterDenisChenu Assigned Togalads  
PrioritynormalSeveritypartial_block 
Status feedbackResolutionreopened 
Product Version4.4.7 
Summary17141: Multiple variation loaded
DescriptionVariation load all parent variation
Steps To Reproduce1. Set skyline_blue for variation
2. Extend fruity to fruity1 : set black_pearl for variation
3. Extend fruity1 to fruity2 : set purple_tentacle for variation

Choose fruity2 for a survey, look at css loaded.
Additional InformationWith included survey : it's OK, with skelvanilla : loading of [radiocheckbox.less](https://gitlab.com/SondagesPro/SurveyThemes/less-skelvanilla/blob/master/skelvanilla/radiocheckbox.less) show buttons even if [theme-awesome.less](https://gitlab.com/SondagesPro/SurveyThemes/less-skelvanilla/blob/master/theme-awesome.less) is loaded …
Then always show button …

Then i take and fix it …
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.2.3
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14980 assignedgalads Multiple variation loaded 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-02-27 12:32

developer   ~62561

Another way to reproduce

1. Import included skelvanilla
2. In global variation :set to contrast-button_awesome
3. Import skelvanilla_extended1, set to cerulean button (for example)
4. Import survey

Test : contrast-button_awesome force the button and the awesome, even if survey is set to boostrap simple

Can noit send skelvanilla (2.8Mo) https://drop.chapril.org/download/8e1064898592b6d7/#eAEAiZh8XsGUr14nB5Y2Mw or http://dl.free.fr/rm.pl?h=qbPZVf5dF&i=101056215&s=7rnBnzX8bIFYAVO8YGv4nT8Lqja0hVZK

Else it's https://gitlab.com/SondagesPro/SurveyThemes/skelvanilla/-/tree/9d2be2a02348e046c6db3292859db1e32b30290d version.
skelvanilla_extend1.zip (140,596 bytes)
DenisChenu

DenisChenu

2021-02-27 12:36

developer   ~62563

After import : need to set the theme option variations


It's OK for survey
Only skelvanilla variation is loaded.
galads

galads

2021-10-28 12:58

administrator   ~66997

Hello DenisChenu,
I checked this with the latest version and could not reproduce, so this is most likely fixed for good.
Therefore, I am closing this issue. If you still can reproduce the issue using the latest version, please feel free to re-open the issue.
Thank you!

galads
DenisChenu

DenisChenu

2021-11-26 15:16

developer   ~67589

Still an issue in 5.2.3

1. Get fruity , set it to green
2. Extend fruity to fruity1, set to black

Use fruity1 variation : test group : green and black was loaded

If you set red to survey : still 2 variation loaded green + black

Issue History

Date Modified Username Field Change
2021-02-27 12:27 DenisChenu New Issue
2021-02-27 12:27 DenisChenu Issue generated from: 14980
2021-02-27 12:32 DenisChenu Note Added: 62561
2021-02-27 12:32 DenisChenu File Added: skelvanilla_extend1.zip
2021-02-27 12:32 DenisChenu File Added: limesurvey_survey_survey.lss
2021-02-27 12:32 DenisChenu File Added: Capture d’écran du 2021-02-27 12-27-06.png
2021-02-27 12:33 DenisChenu Relationship added related to 14980
2021-02-27 12:36 DenisChenu Note Added: 62563
2021-02-27 12:36 DenisChenu File Added: Capture d’écran du 2021-02-27 12-34-47.png
2021-02-27 12:36 DenisChenu File Added: Capture d’écran du 2021-02-27 12-35-40.png
2021-02-27 12:36 DenisChenu File Added: Capture d’écran du 2021-02-27 12-36-06.png
2021-02-27 12:36 DenisChenu File Added: Capture d’écran du 2021-02-27 12-27-06-2.png
2021-03-10 17:35 ollehar Priority none => normal
2021-10-28 12:58 galads Note Added: 66997
2021-10-28 12:58 galads Bug heat 2 => 4
2021-10-28 12:58 galads Assigned To => galads
2021-10-28 12:58 galads Status new => closed
2021-10-28 12:58 galads Resolution open => fixed
2021-11-26 15:16 DenisChenu Status closed => feedback
2021-11-26 15:16 DenisChenu Resolution fixed => reopened
2021-11-26 15:16 DenisChenu Complete LimeSurvey version number (& build) 3.17.5 github => 5.2.3
2021-11-26 15:16 DenisChenu Note Added: 67589